/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package bigbank.stockquote;

import org.osoa.sca.annotations.Remotable;


/**
 * This is the business interface of the StockQuote service.
 */
@Remotable
public interface StockQuoteService {

    public double getQuote(String symbol);
}

